/*---------------------------- Description

Render Output Filename Find & Replace
	A script to search render output & render element filenames and replace certain text

Project 
	Personal

Author
	Mike Krueger
	www.mk-vfx.com

Date								|		Version
	06/14/2013								0.1
	
*/---------------------------- End


------------------------------
------------MACRO----------
------------------------------

macroScript mk_RenderElementRenamer
	category:"MK"
	tooltip:"mk_RenderElementRenamer"
	buttontext:"mk_RenderElementRenamer"

(
	--check the User Interface
	try
	(
		format "% % \n" (destroyDialog rerUI) (print rerUI)
	)
	catch (print(rerUI as string))
		
		
	------------------------------
	-------------UI-------------
	------------------------------
		
		
	rollout rerUI "Render Element Renamer v0.1"
	(
		group "Render Element Find and Replace"
		(
			edittext		edt_Find				"Find: "				fieldWidth:200			labelOnTop:true			offset:[0,0]
			edittext		edt_Replace		"Replace With: "	fieldWidth:200			labelOnTop:true			offset:[0,0]
			checkbox 		repElemFile			"Replace Render Element Filename" 		checked:false 			align:#left	  across:1 	offset:[0,3]
			checkbox 		repElemName		"Replace Render Element Name" 			checked:false 			align:#left	  across:1 	offset:[0,3]
			checkbox 		repOutput			"Replace Render Output Filename" 		checked:false 			align:#left    across:1 	offset:[0,3]
			
			button		btn_FindAndReplace	"Replace"		width:130		height:20			offset:[0,5]			tooltip:"Replace Text"
			button		btn_Reset				"Reset"			width:130		height:20			offset:[0,5]			tooltip:"Reset Fields"
		) --
		
		
		------------------------------
		-------HANDLERS---------
		------------------------------
		
		on btn_FindAndReplace pressed do
		(
			renderscenedialog.close()
			
			-----Replace Render Element Filename-----
			if repElemFile.checked == true then
			(
				re = maxOps.GetCurRenderElementMgr()
				re.numrenderelements()
				
				for n = 0 to (re.numrenderelements()- 1) do
				(
					el = re.getrenderelement n
					s = re.GetRenderElementFilename n
					r = s.count
					for i = 1 to r do
					(
						s = substituteString s (edt_Find.text) (edt_Replace.text)
					)
					re.SetRenderElementFilename n s
				)
				
				print s
			)
			else
			(
			)
			
			-----Replace Render Element Name-----
			if repElemName.checked == true then
			(
				re = maxOps.GetCurRenderElementMgr()
				re.numrenderelements()
				
				for n = 0 to (re.numrenderelements()- 1) do
				(
					el = re.getrenderelement n
					s = el.elementName
					r = s.count
					for i = 1 to r do
					(
						s = substituteString s (edt_Find.text) (edt_Replace.text)
						el.elementName = s
					)

				)
				
				print s
			)
			else
			(
			)
			
			-----Replace Render Output Filename-----
			if repOutput.checked == true then
			(
				s = rendOutputFilename
				r = s.count
				for i = 1 to r do
				(
					s = substituteString s (edt_Find.text) (edt_Replace.text)
				)
				
				rendOutputFilename = s
				
				print s
			)
			else
			(
			)
			
			renderscenedialog.open()
		) 
		
		-----Reset Fields-----
		on btn_Reset pressed do
		(
			edt_Find.text = ""
			edt_Replace.text = ""
			repElemFile.checked = false
			repElemName.checked = false
			repOutput.checked = false
		) 
	)--end rollout
	createDialog rerUI 225 240  style:#(#style_titlebar, #style_sysmenu, #style_minimizebox) 
	
)--end macro